"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _executeStatement = _interopRequireDefault(require("./execute-statement"));

var _executeQuery = _interopRequireDefault(require("./execute-query"));

var _eventstoreBase = require("@resolve-js/eventstore-base");

var _types = require("./types");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const configure = (pool, config) => {
  var _config$databaseFile, _config$eventsTableNa, _config$snapshotsTabl, _config$secretsTableN, _config$subscribersTa;

  const escapeId = str => `"${String(str).replace(/(["])/gi, '$1$1')}"`;

  const escape = str => `'${String(str).replace(/(['])/gi, '$1$1')}'`;

  (0, _eventstoreBase.validate)(_types.SqliteAdapterConfigSchema, config);
  const props = {
    databaseFile: (_config$databaseFile = config.databaseFile) !== null && _config$databaseFile !== void 0 ? _config$databaseFile : ':memory:',
    eventsTableName: (_config$eventsTableNa = config.eventsTableName) !== null && _config$eventsTableNa !== void 0 ? _config$eventsTableNa : 'events',
    snapshotsTableName: (_config$snapshotsTabl = config.snapshotsTableName) !== null && _config$snapshotsTabl !== void 0 ? _config$snapshotsTabl : 'snapshots',
    secretsTableName: (_config$secretsTableN = config.secretsTableName) !== null && _config$secretsTableN !== void 0 ? _config$secretsTableN : 'secrets',
    subscribersTableName: (_config$subscribersTa = config.subscribersTableName) !== null && _config$subscribersTa !== void 0 ? _config$subscribersTa : 'subscribers',
    escape,
    escapeId,
    executeStatement: _executeStatement.default.bind(null, pool),
    executeQuery: _executeQuery.default.bind(null, pool),
    connecting: false
  };
  Object.assign(pool, props);
};

var _default = configure;
exports.default = _default;
//# sourceMappingURL=configure.js.map